import { service } from "./request";

export function discordAuthUrl(params) {
    return service({
        url: `/openapi/discord/authorize`,
        method: "post",
        data: params,
    });
}

export function getInviteGuildInfo(params) {
    return service({
        url: `/openapi/discord/getInviteGuildInfo`,
        method: "post",
        data: params,
    });
}

export function checkGuildJoined(params) {
    return service({
        url: `/openapi/discord/checkGuildJoined`,
        method: "post",
        data: params,
    });
}
